<?php



function WPSTBQSPAGE_add_post_type() {

  // Register CPT 1  

  $labels = array(

    'name' => _x( WPSTBQSPAGE_CPT_LABEL.'s', 'post type general name', WPSTBQSPAGE_NAME),

    'singular_name' => _x( WPSTBQSPAGE_CPT_LABEL, 'post type singular name', WPSTBQSPAGE_NAME),

    'add_new' => _x('Add New', WPSTBQSPAGE_CPT_LABEL, WPSTBQSPAGE_NAME),

    'add_new_item' => __('Add New '.WPSTBQSPAGE_CPT_LABEL, WPSTBQSPAGE_NAME),

    'edit_item' => __('Edit '.WPSTBQSPAGE_CPT_LABEL, WPSTBQSPAGE_NAME),

    'new_item' => __('New '.WPSTBQSPAGE_CPT_LABEL, WPSTBQSPAGE_NAME),

    'all_items' => __('All '.WPSTBQSPAGE_CPT_LABEL.'s', WPSTBQSPAGE_NAME),

    'view_item' => __('View '.WPSTBQSPAGE_CPT_LABEL, WPSTBQSPAGE_NAME),

    'search_items' => __('Search '.WPSTBQSPAGE_CPT_LABEL.'s', WPSTBQSPAGE_NAME),

    'not_found' =>  __('No '.WPSTBQSPAGE_CPT_LABEL.' found', WPSTBQSPAGE_NAME),

    'not_found_in_trash' => __('No '.WPSTBQSPAGE_CPT_LABEL.' found in Trash', WPSTBQSPAGE_NAME), 

    'parent_item_colon' => '',

    'menu_name' => __( 'WPSalesToolBox', WPSTBQSPAGE_NAME)



  );

  $args = array(

    'labels' => $labels,

    'public' => true,

    'publicly_queryable' => true,

    'show_ui' => true, 

    'show_in_menu' => true, 

    'query_var' => true,

    'rewrite' => true,

    'capability_type' => 'page',

    'has_archive' => true, 

    'hierarchical' => false,

    'menu_position' => 20,

    'supports' => array( 'title' )

  ); 

  
 // 'supports' => array( 'title', 'editor' )

  register_post_type(WPSTBQSPAGE_CPT_NAME, $args);

  


	flush_rewrite_rules();

}

add_action( 'init', 'WPSTBQSPAGE_add_post_type' );


/* 
add_filter('template_include', 'WPSTBQSPAGE_template_include', 1, 1); 

function WPSTBQSPAGE_template_include($template){

    global $wp_query;

	

  

	if( ( get_query_var('post_type') == WPSTBQSPAGE_CPT_NAME ) || ( is_front_page() && is_singular(WPSTBQSPAGE_CPT_NAME) ) ) {

			$template = plugin_dir_path( __FILE__ ) . 'templates/cpt_template_xyz.php';

	}

	

    return $template;

	}
 */



// Allow CPT to be added to front page

function WPSTBQSPAGE_add_to_front( $pages ){

    $WPSTBQSPAGE_post_type = new WP_Query( array(

		'post_type' =>  array(

			WPSTBQSPAGE_CPT_NAME

			)

		) );

     if ( $WPSTBQSPAGE_post_type->post_count > 0 ) {

         $pages = array_merge( $pages, $WPSTBQSPAGE_post_type->posts );

     }



    return $pages;

}

add_filter( 'get_pages', 'WPSTBQSPAGE_add_to_front', 10, 2 );



// Stop CPT on front page from redirecting

function wpstbx_enable_fps( $query ){



    if('' == $query->query_vars['post_type'] && 0 != $query->query_vars['page_id'])



        $query->query_vars['post_type'] = array( 'page', WPSTBQSPAGE_CPT_NAME, WPSTBQSPAGE_CPT_NAME );



}

add_action( 'pre_get_posts', 'wpstbx_enable_fps' );

?>