<?php

/*
Plugin Name: WPSalesToolBox
Plugin URI: http://www.wpsalestoolbox.com
Description: Make Your Sales Pages Look Cool With Just Some Clicks. 
Author: WPSalesToolBox
Version: 1.5
Author URI: http://www.wpsalestoolbox.com
*/

add_action('admin_head', 'wsalestoolbox_add_my_tc_button');
add_action('admin_enqueue_scripts', 'wsalestoolbox_tc_css');

define('wpsalestoolbox_imgfolder',plugins_url('/images/',__FILE__));

function wsalestoolbox_add_my_tc_button() {
    global $typenow;

    if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') ) {
   	return;
    }
   
     if( ! in_array( $typenow, array( 'post', 'page','qsp','wpst' ) ) )
        return;
	if ( get_user_option('rich_editing') == 'true') {
		add_filter("mce_external_plugins", "wsalestoolbox_add_tinymce_plugin");
		add_filter('mce_buttons', 'wsalestoolbox_register_my_tc_button');
	}
}

function wsalestoolbox_add_tinymce_plugin($plugin_array) {
   	$plugin_array['wsalestoolbox_tc_button'] = plugins_url( '/complex-popup-button.js', __FILE__ ); // CHANGE THE BUTTON SCRIPT HERE
   	return $plugin_array;
}

function wsalestoolbox_register_my_tc_button($buttons) {
   array_push($buttons, "wsalestoolbox_tc_button");
   return $buttons;
}

function wsalestoolbox_tc_css() {
	wp_enqueue_style('wsalestoolbox-tc', plugins_url('/style.css', __FILE__));
}

//shortcode


function wsalestoolbox_shortcode( $atts, $content = null ) {

 extract( shortcode_atts( array(
    'image' => ''	,
	'url' => ''	,
	'align' => 'center'	
  ), $atts ) );

  
  $wsalestoolbox_images = plugins_url('/images/',__FILE__);
  
  if ($url ===""){
	$wsalestoolbox_code = "<div align='$align'><img src='". $wsalestoolbox_images .  $image .".jpg'></div>" ;
  }else{
	
	$wsalestoolbox_code = "<div align='$align'><a href='$url' target='_blank'><img src='". $wsalestoolbox_images .  $image .".jpg'></a></div>" ;	
  }
  
 
 return $wsalestoolbox_code;
 
  
}

add_shortcode( 'wpstbx', 'wsalestoolbox_shortcode' );













//Tube shortcode

function wpstbtube_shortcode1($atts) {
  extract( shortcode_atts( array(
  'video' => '',
  'width' => '100',
  'height' => '100',
  'showcontrols' => '1',
  'align' => 'center'
  
 ), $atts ) );


    //CSS 
    wp_register_style('wpstbtube_css', plugins_url('shortcode.css',__FILE__));
	wp_enqueue_style('wpstbtube_css');


 switch($showcontrols) { 
 
	case '0': 
		$showcontrolsb = 0;
		$autohide =0 ;
		break;
	case '1': 
		$showcontrolsb = 1;
		$autohide =0 ;
		break;
	case '2': 
		$showcontrolsb = 1;
		$autohide =1 ;
		break;
	}
	

 
 
 
 
 $wpstbtube_html = "	<div align='$align'><div id='container' style='width:$width%;height:100%'><div id='vid'>	 <iframe width='$width' height='100' src='http://www.youtube.com/embed/$video?html5=1&hd=1&rel=0&autohide=$autohide&showinfo=0&amp;controls=$showcontrolsb' frameborder='0' allowfullscreen></iframe></div>   </div></div>";

 
 
 return  $wpstbtube_html;
 
 
}
add_shortcode('wpstbxtube', 'wpstbtube_shortcode1');












function wsalestoolbox_getcookie ($offerid){

	$wsalestoolbox_cookiename = "wsalestoolbox_". $offerid;
	//echo '(Modulo GetCookie) Nombre Cookie: '. $wsalestoolbox_cookiename .' <br>';
	$wsalestoolbox_cookievalue = $_COOKIE[$wsalestoolbox_cookiename];
	//echo '(Modulo GetCookie) Valor Cookie ==> ' . $wsalestoolbox_cookievalue . '  <br>';
	return $wsalestoolbox_cookievalue;
	
}


function wsalestoolbox_setcookie ($usewith,$offerid){

	//echo 'Debug - Valor Usewith Recibido en Setcookie:' . $usewith .' <br>';
    $wsalestoolbox_cookiename = "wsalestoolbox_". $offerid;
	//echo '(Modulo SetCookie) Nombre Cookie: '. $wsalestoolbox_cookiename .' <br>';
	setcookie($wsalestoolbox_cookiename, $usewith, time() + 3600*24*365, COOKIEPATH, COOKIE_DOMAIN, false, true);
	

}




define( 'WPSTBQSPAGE_WP_DIR', get_bloginfo('wpurl') );
define( 'WPSTBQSPAGE_TEMPLATES', get_bloginfo('wpurl'). '/modules/templates' );
define( 'WPSTBQSPAGE_NAME', 'wpst' );
define( 'WPSTBQSPAGE_CPT_LABEL', 'Sales Page' );
define( 'WPSTBQSPAGE_CPT_NAME', 'wpst' );


//Initialize the metabox class
function wpsbqsp_initialize_cmb_meta_boxes() {
	if ( ! class_exists( 'cmb_Meta_Box' ) )
		require_once(plugin_dir_path( __FILE__ ) . '/lib/init.php');
		
	
}
add_action( 'init', 'wpsbqsp_initialize_cmb_meta_boxes', 9999 );
//Add Meta Boxes
function wpstbx_sample_metaboxes( $meta_boxes ) {
	$prefix = '_wpst_'; // Prefix for all fields
	$meta_boxes[] = array(
		'id' => 'test_metabox',
		'title' => 'WPSTB Sales Page',
		'pages' => array(WPSTBQSPAGE_CPT_NAME), // Add Metabox to this CPT
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
			array(
				'name' => 'Page Title',
				'desc' => 'This title will be visible in the title bar (browser).',
				'id' => $prefix . 'page_title',
				'type' => 'text'
			),
			
			
			array(
				'name' => 'SEO (Meta Description)',
				'desc' => 'Use a short description of your sales page (for search engines).',
				'id' => $prefix . 'meta_description',
				'type' => 'text'
			),
			
			
			array(
				'name' => 'SEO (Meta Tags)',
				'desc' => 'Use keywords separated by comma (for search engines).',
				'id' => $prefix . 'meta_tags',
				'type' => 'text'
			),
			
			
			array(
			'name' => 'Page Background Color',
			'id'   => $prefix . 'page_bgcolor',
			'type' => 'colorpicker',
			'default'  => '#2E2E2E',
			
			),
			
			
			
			array(
				'name' => 'Background Image',
				'desc' => 'Upload an image or enter an URL. If you use an image, the background color will not be used.',
				'id' => $prefix . 'bgimage',
				'type' => 'file',
				'allow' => array( 'url', 'attachment' ) // limit to just attachments with array( 'attachment' )
			),
	
			
			array(
				'name' => 'Your Sales Page',
				'desc' => 'Enter your sales page here (can add images and /or text).',
				'id' => $prefix . 'salespage',
				'type' => 'wysiwyg',
				'options' => array(
					'media_buttons' => true, // show insert/upload button(s)
					'tinymce' => true
				
				),
			),
						
			
			
			
		),
	);
	return $meta_boxes;
}
add_filter( 'cmb_meta_boxes', 'wpstbx_sample_metaboxes' );
include("modules/cpt.php");	//Optional (Can Disable). This line adds a custom post type.
include("modules/cpt_template_loader.php");	//Optional (Can Disable). This line adds a custom post type.
